The Blazor [ListView](https://www.syncfusion.com/blazor-components/blazor-listview?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-lists-nuget) allows you to select an item or multiple items from a list-like interface and represents the data in interactive hierarchical structure across different layouts or views. Lists are used for displaying data, data navigation, and data entry.

## Key Features

  * [Data binding](https://blazor.syncfusion.com/documentation/listview/data-binding/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-lists-nuget) - Supports data binding to display the list of items from the local or server-side data source.
  * [Grouping](https://blazor.syncfusion.com/documentation/listview/grouping/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-lists-nuget) - Provides support to group the logically related items under a category.
  * [Nested list](https://blazor.syncfusion.com/documentation/listview/nested-list/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-lists-nuget) -Displays a set of nested list items in different layout.
  * [Virtualization](https://blazor.syncfusion.com/documentation/listview/virtualization/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-lists-nuget) -  Allows you to load only viewable list items in a view port which will increase ListView performance on loading large number of data.
  * [Check list](https://blazor.syncfusion.com/documentation/listview/check-list/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-lists-nuget) - Displays list item with checkbox which allows you to select single or select multiple items.
  * [Customizing templates](https://blazor.syncfusion.com/documentation/listview/customizing-templates/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-lists-nuget) - Allows you to customize the list item, header, and category group header.
  * [Accessibility](https://blazor.syncfusion.com/documentation/listview/accessibility/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-lists-nuget) - Provides built-in accessibility support that helps to access all the ListView control features through the keyboard, on-screen readers, or other assistive technology devices.

## Related links
[Learn More about Blazor ListView component](https://www.syncfusion.com/blazor-components/blazor-listview?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-lists-nuget)

[Documentation](https://blazor.syncfusion.com/documentation/listview/getting-started/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-lists-nuget)

[Release History](https://blazor.syncfusion.com/documentation/release-notes/19.2.59/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-lists-nuget)

[Online Demos](https://blazor.syncfusion.com/demos/listview/default-functionalities?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-lists-nuget)

[Contact Support](https://www.syncfusion.com/support/directtrac/incidents/newincident?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-lists-nuget)

[Suggest a feature or report a bug](https://www.syncfusion.com/feedback/blazor-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-lists-nuget)

[Pricing](https://www.syncfusion.com/sales/products/blazor?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-lists-nuget)

## About Syncfusion
Founded in 2001 and headquartered in Research Triangle Park, N.C., Syncfusion has more than 23,000+ customers and more than 1 million users, including large financial institutions, Fortune 500 companies, and global IT consultancies.
 
Today, we provide 1600+ controls and frameworks for web ([Blazor](https://www.syncfusion.com/blazor-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-lists-nuget), [ASP.NET Core](https://www.syncfusion.com/aspnet-core-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-lists-nuget), [ASP.NET MVC](https://www.syncfusion.com/aspnet-mvc-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-lists-nuget), [ASP.NET WebForms](https://www.syncfusion.com/jquery/aspnet-webforms-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-lists-nuget), [JavaScript](https://www.syncfusion.com/javascript-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-lists-nuget), [Angular](https://www.syncfusion.com/angular-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-lists-nuget), [React](https://www.syncfusion.com/react-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-lists-nuget), [Vue](https://www.syncfusion.com/vue-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-lists-nuget), and [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-lists-nuget)), mobile ([Xamarin](https://www.syncfusion.com/xamarin-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-lists-nuget), [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-lists-nuget), [UWP](https://www.syncfusion.com/uwp-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-lists-nuget), and [JavaScript](https://www.syncfusion.com/javascript-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-lists-nuget)), and desktop development ([Windows Forms](https://www.syncfusion.com/winforms-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-lists-nuget), [WPF](https://www.syncfusion.com/wpf-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-lists-nuget), [WinUI](https://www.syncfusion.com/winui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-lists-nuget), [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-lists-nuget) and [UWP](https://www.syncfusion.com/uwp-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-lists-nuget)). We provide ready-to-deploy enterprise software for dashboards, reports, data integration, and big data processing. Many customers have saved millions in licensing fees by deploying our software.

		
This is a commercial product and requires a paid license for possession or use. Syncfusion’s licensed software, including this component, is subject to the terms and conditions of [Syncfusion's EULA](https://www.syncfusion.com/eula/es/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-lists-nuget). To acquire a license, you can purchase one [here]( https://www.syncfusion.com/sales/products?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-lists-nuget) or start a free 30-day trial [here](https://www.syncfusion.com/account/manage-trials/start-trials?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-lists-nuget).

___

[sales@syncfusion.com](mailto:sales@syncfusion.com?Subject=Syncfusion%20Blazor%20Lists%20-%20NuGet) | [www.syncfusion.com](https://www.syncfusion.com?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-lists-nuget) | Toll Free: 1-888-9 DOTNET

© Copyright 2021 Syncfusion, Inc. All Rights Reserved. The Syncfusion Essential Studio license and copyright applies to this distribution.